### Method

# Gtk TreeModel get_iter_first

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_first (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Initializes `iter` with the first iterator in the tree (the one at the path “0”).

Returns `FALSE` if the tree is empty, `TRUE` otherwise.

#### Parameters

`iter` | `GtkTreeIter`
| The uninitialized `GtkTreeIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `iter` was set.